# Interface IGotoMarker

public interface IGotoMarker
An adapter interface for editors, which allows the editor to reveal the position of a given marker.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`gotoMarker(IMarker marker)`
Sets the cursor and selection state for an editor to reveal the position of the given marker.

## Method Details

### gotoMarker

void gotoMarker(IMarker marker)
Sets the cursor and selection state for an editor to reveal the position of the given marker.

Parameters:
  `marker` - the marker